Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3
Class LocalCacheProviderProxy

    java.lang.Object
      org.springframework.orm.hibernate3.LocalCacheProviderProxy

All Implemented Interfaces:
  org.hibernate.cache.CacheProvider

    public class LocalCacheProviderProxy

extends java.lang.Object
implements org.hibernate.cache.CacheProvider

Proxy for a Hibernate CacheProvider, delegating to a Spring-managed CacheProvider instance, determined by LocalSessionFactoryBean's "cacheProvider" property.

Since:
  2.5.1
Author:
  Juergen Hoeller
See Also:
  `LocalSessionFactoryBean.setCacheProvider(org.hibernate.cache.CacheProvider)`

Constructor Summary
`LocalCacheProviderProxy()`

Method Summary
`org.hibernate.cache.Cache` | `buildCache(java.lang.String regionName, java.util.Properties properties)`
`boolean` | `isMinimalPutsEnabledByDefault()`
`long` | `nextTimestamp()`
`void` | `start(java.util.Properties properties)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalCacheProviderProxy

    public LocalCacheProviderProxy()

Method Detail

### buildCache

    public org.hibernate.cache.Cache buildCache(java.lang.String regionName,
                                                java.util.Properties properties)
                                         throws org.hibernate.cache.CacheException

  Specified by:
    `buildCache` in interface `org.hibernate.cache.CacheProvider`
  Throws:
    `org.hibernate.cache.CacheException`

### nextTimestamp

    public long nextTimestamp()

  Specified by:
    `nextTimestamp` in interface `org.hibernate.cache.CacheProvider`

### start

    public void start(java.util.Properties properties)
               throws org.hibernate.cache.CacheException

  Specified by:
    `start` in interface `org.hibernate.cache.CacheProvider`
  Throws:
    `org.hibernate.cache.CacheException`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.hibernate.cache.CacheProvider`

### isMinimalPutsEnabledByDefault

    public boolean isMinimalPutsEnabledByDefault()

  Specified by:
    `isMinimalPutsEnabledByDefault` in interface `org.hibernate.cache.CacheProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD